// Egyszerű Processing program a soros port megnyitására
// és az arduino_radar program adatainak fogadásához

import processing.serial.*;
Serial myPort;                               // a Serial osztály példányosítása
String val="Hello";                          // változó a beolvasáshoz

void setup() {
  size(300, 200);                            // A vászon mérete
  textSize(32);                              // Szövegméret
  String portName = Serial.list()[0];        // Az első port neve
  myPort = new Serial(this, portName, 9600); // Port megnyitása
}

void draw() {
  background(255);
  fill(0);
  if ( myPort.available() > 0)   {           // Ha van beérkezett adat
    val = myPort.readStringUntil('.');       // olvass a pontig!
  } 
  text(val, 10, 100);                        // Írjuk ki a szöveget
}
