/* Servo_Set
 * Szervó beállítása soroso porton keresztül megadott pozícióba
 * A pozíció 0 - 180 fok tartományba essen!
 * A soros terminal "No line ending" módban legyen!
 */ 
#include <Servo.h>
#define servoPin 9                   //Szervó a D9 lábra
Servo servo;                         //Objektum példányosítása

void setup() {
  Serial.begin(9600);  
  servo.attach(servoPin,640,2400);   //Inicializálás határértékek megadásával
}

void loop() {
   if(Serial.available() > 0) {
     int angle = Serial.parseInt();  //Pozíció megadása soros porton
     angle = constrain(angle,0,179); //Korlátozzuk 0-179 közé!
     servo.write(angle);             //Szervó beállítása a megadott állásba  
     Serial.print("Servo position: ");
     Serial.println(angle);
     delay(100);
   }
} 

