/* ServoSweep
 * A szervóval oda-vissza végigpásztázza a 0-180 fokos tartományt
 * Szerző: Simon Monk
 * Link: http://learn.adafruit.com/adafruit-arduino-lesson-14-servo-motors/arduino-code-for-sweep
 * Módosítások: I. Cserny hobbi@cspista.hu)
 */ 
#include <Servo.h>
const int servoPin = 9;             // Szervo a D9 lábra
Servo servo;                        // Objektum példányosítása
int angle = 0;                      // Szervó pozíciója fokokban

void setup() {
  servo.attach(servoPin,640,2400);  // Inicializálás határértékek megadásával
}

void loop() {
  // Pásztázás 0-tól 180 fokig
  for(angle = 0; angle < 180; angle++) {
    servo.write(angle);
    delay(100);
  }
  // Pásztázás vissza 180-tól 0 fokig
  for(angle = 180; angle > 0; angle--) {
    servo.write(angle);
    delay(100);
  }
} 
